import os

# Database
DB_HOST = os.environ['DB_HOST']
DB_PORT = int(os.environ['DB_PORT'])
DB_USERNAME = os.environ['DB_USERNAME']
DB_PASSWORD = os.environ['DB_PASSWORD']
DB_SCHEMA = os.environ['DB_SCHEMA']

# AWS
JSK_IO_BUCKET = os.environ['JSK_IO_BUCKET']
JSK_RECEIVE_FOLDER = os.environ['JSK_RECEIVE_FOLDER']
DATA_IMPORT_BUCKET = os.environ['DATA_IMPORT_BUCKET']
DATA_IMPORT_FOLDER = os.environ['DATA_IMPORT_FOLDER']
ULTMARC_DATA_BUCKET = os.environ['ULTMARC_DATA_BUCKET']
ULTMARC_RECEIVE_FOLDER = os.environ['ULTMARC_RECEIVE_FOLDER']
ULTMARC_IMPORT_FOLDER = os.environ['ULTMARC_IMPORT_FOLDER']
JSKULT_BACKUP_BUCKET = os.environ['JSKULT_BACKUP_BUCKET']
JSK_BACKUP_FOLDER = os.environ['JSK_BACKUP_FOLDER']
ULTMARC_BACKUP_FOLDER = os.environ['ULTMARC_BACKUP_FOLDER']
RESULT_OUTPUT_FOLDER = os.environ['RESULT_OUTPUT_FOLDER']
RESULT_OUTPUT_FILE_NAME = os.environ['RESULT_OUTPUT_FILE_NAME']

# 初期値がある環境変数
LOG_LEVEL = os.environ.get('LOG_LEVEL', 'INFO')
DB_CONNECTION_MAX_RETRY_ATTEMPT = int(
    os.environ.get('DB_CONNECTION_MAX_RETRY_ATTEMPT', 4))
DB_CONNECTION_RETRY_INTERVAL_INIT = int(
    os.environ.get('DB_CONNECTION_RETRY_INTERVAL', 5))
DB_CONNECTION_RETRY_INTERVAL_MIN_SECONDS = int(
    os.environ.get('DB_CONNECTION_RETRY_MIN_SECONDS', 5))
DB_CONNECTION_RETRY_INTERVAL_MAX_SECONDS = int(
    os.environ.get('DB_CONNECTION_RETRY_MAX_SECONDS', 50))
